body,
html {
  padding: 0;
  margin: 0;
  height: 100%;
}

#unity-container {
  position: absolute;
}

#unity-container.unity-desktop {
  position: fixed;
  width: 100%;
  height: 100vh;
  background: no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

#unity-container.unity-mobile {
  width: 100%;
  height: 100%;
}

#unity-canvas {
  position: fixed;
  width: 100%;
  height: 100vh;
  z-index: 100;
  background: no-repeat center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.unity-mobile #unity-canvas {
  width: 100%;
  height: 100%;
}

#unity-loading-bar {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: none;
}

#unity-logo {
  width: 154px;
  height: 130px;
  background: url("unity-logo-dark.png") no-repeat center;
  display: none;
}

#unity-progress-bar-empty {
  width: 141px;
  height: 18px;
  margin-top: 10px;
  margin-left: 6.5px;
  background: url("progress-bar-empty-dark.png") no-repeat center;
  display: none;
}

#unity-progress-bar-full {
  width: 0%;
  height: 18px;
  margin-top: 10px;
  background: url("progress-bar-full-dark.png") no-repeat center;
  display: none;
}

#unity-footer {
  position: relative;
}

.unity-mobile #unity-footer {
  display: none;
}

#unity-webgl-logo {
  float: left;
  width: 204px;
  height: 38px;
  background: url("webgl-logo.png") no-repeat center;
  display: none;
}

#unity-build-title {
  float: right;
  margin-right: 10px;
  line-height: 38px;
  font-family: arial;
  font-size: 18px;
  display: none;
}

#unity-fullscreen-button {
  float: right;
  width: 38px;
  height: 38px;
  background: url("fullscreen-button.png") no-repeat center;
  display: none;
}

#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none;
}

#loader {
  position: fixed;
  min-width: 100%;
  height: 100vh;
  z-index: 100;
  background: url("loadingscreen.gif?ver2") no-repeat center;
  background-size: contain;
}

body {
  background-color: hsla(276, 98%, 38%, 1) !important;
  background-image: radial-gradient(
      at 91% 45%,
      hsla(316, 62%, 58%, 1) 0px,
      transparent 50%
    ),
    radial-gradient(at 89% 84%, hsla(330, 64%, 63%, 1) 0px, transparent 50%),
    radial-gradient(at 77% 60%, hsla(328, 62%, 62%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 0%, hsla(307, 62%, 54%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 18%, hsla(314, 63%, 56%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 42%, hsla(328, 64%, 62%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 72%, hsla(328, 62%, 62%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 100%, hsla(328, 62%, 62%, 1) 0px, transparent 50%);
}
